Advisories ยป MGASA-2013-0205

Updated rubygem-passenger package fixes CVE-2013-2119

Publication date: 09 Jul 2013
Type: security
Affected Mageia releases : 3
CVE: CVE-2013-2119

Description

Phusion Passengers code did not always create temporary files and directories
in a secure manner. Temporary files and directories were sometimes created
with a predictable filename. A local attacker can pre-create temporary files,
resulting in a denial of service. In addition, this vulnerability allows a
local attacker to run arbitrary code as another user, by hijacking temporary
files (CVE-2013-2119).

The rubygem-passenger package has been upgraded to version 3.0.21, which fixes
this issue, as well as many others although at the moment has further issues 
which will be fixed with another update (mga#10728).
                

References

SRPMS

3/core